<?php

namespace App\Middleware;

class AdminMiddleware extends Middleware
{
	public function __invoke($request, $response, $next)
	{
		if(! $this->container->auth->isAdmin()) {
			$this->container->session->getFlashBag()->add('error', 'Not Authorized');
            return $response->withRedirect('/login');
		}

		$response = $next($request, $response);

		return $response;
	}
}