<?php

namespace App\Middleware;

class AuthMiddleware extends Middleware
{
	public function __invoke($request, $response, $next)
	{
		if(! $this->container->auth->isAuthenticated()) {
			$this->container->session->getFlashBag()->add('error', 'Not Authorized');
            return $response->withStatus(200)->withHeader('Location', '/login');
			//return $response->withRedirect($this->container->router->pathFor('auth.signin'));
		}

		$response = $next($request, $response);

		return $response;
	}
}