<?php
require_once __DIR__ . '/header.php';
require_once __DIR__ . '/nav.php';
?>
<div class="container">
    <div class="well">
        <h2>Admin</h2>
        <div class="panel">
           <h4>Users</h4>
           <table class="table table-striped">
               <thead>
               <tr>
                   <th>Username</th>
                   <th>Registered</th>
                   <th>Promote/Demote</th>
               </tr>
               </thead>
               <tbody>
               <?php foreach ($allUsers as $user) : ?>
                 <tr>
                   <td><?php echo $user['username']; ?></td>
                   <td><?php echo $user['created_at']; ?></td>
                   <td><?php if ($auth->isOwner($user['id'])): ?>
                     <span class="btn btn-xs btn-default">Cannot alter your own role</span>
                   <?php else : ?>
                     <?php if ($user['role_id'] == 1) : ?>
                       <a href="/role/<?php echo $user['id']; ?>/2" class="btn btn-xs btn-warning">Demote to General User</a>
                     <?php elseif ($user['role_id'] == 2) : ?>
                       <a href="/role/<?php echo $user['id']; ?>/1" class="btn btn-xs btn-success">Promote to Admin</a>
                     <?php endif; ?>
                   <?php endif; ?></td>
                 </tr>
               <?php endforeach; ?>
               </tbody>
           </table>
        </div>
    </div>
</div>
<?php
require_once __DIR__ . '/footer.php';
